From 886970824ad3420a7b8cdf1737599bdb796bac88 Mon Sep 17 00:00:00 2001
From: Alexey Min <alexey.min@gmail.com>
Date: Fri, 6 Sep 2019 03:07:16 +0300
Subject: [PATCH 1/6] Use relative includes

Signed-off-by: Alexey Min <alexey.min@gmail.com>
---
 drivers/bluetooth/btfm_slim.c                              | 4 ++--
 drivers/bluetooth/btfm_slim_codec.c                        | 2 +-
 drivers/bluetooth/btfm_slim_wcn3990.c                      | 4 ++--
 drivers/bluetooth/btfm_slim_wcn3990.h                      | 2 +-
 drivers/gpu/msm/kgsl_events.c                              | 2 +-
 drivers/input/misc/vl53L0/inc/vl53l0_platform.h            | 6 +++---
 drivers/input/misc/vl53L0/src/vl53l0_i2c_platform.c        | 4 ++--
 drivers/input/misc/vl53L0/src/vl53l0_port_i2c.c            | 6 +++---
 drivers/media/platform/msm/camera_v2/common/cam_smmu_api.c | 2 +-
 drivers/media/platform/msm/camera_v2/sensor/msm_sensor.h   | 4 ++--
 sound/soc/msm/msm8996.c                                    | 2 +-
 sound/soc/msm/msm8998.c                                    | 2 +-
 12 files changed, 20 insertions(+), 20 deletions(-)

diff --git a/drivers/bluetooth/btfm_slim.c b/drivers/bluetooth/btfm_slim.c
index 0a61186167ba..7cf59ccbe38c 100644
--- a/drivers/bluetooth/btfm_slim.c
+++ b/drivers/bluetooth/btfm_slim.c
@@ -23,8 +23,8 @@
 #include <sound/soc.h>
 #include <sound/soc-dapm.h>
 #include <sound/tlv.h>
-#include <btfm_slim.h>
-#include <btfm_slim_wcn3990.h>
+#include "btfm_slim.h"
+#include "btfm_slim_wcn3990.h"
 #include <linux/bluetooth-power.h>
 
 int btfm_slim_write(struct btfmslim *btfmslim,
diff --git a/drivers/bluetooth/btfm_slim_codec.c b/drivers/bluetooth/btfm_slim_codec.c
index 035e8d9fb5fd..5a1b1fef29fd 100644
--- a/drivers/bluetooth/btfm_slim_codec.c
+++ b/drivers/bluetooth/btfm_slim_codec.c
@@ -24,7 +24,7 @@
 #include <sound/soc.h>
 #include <sound/soc-dapm.h>
 #include <sound/tlv.h>
-#include <btfm_slim.h>
+#include "btfm_slim.h"
 
 static int bt_soc_enable_status;
 
diff --git a/drivers/bluetooth/btfm_slim_wcn3990.c b/drivers/bluetooth/btfm_slim_wcn3990.c
index 7abd5598c47b..7d611f803328 100644
--- a/drivers/bluetooth/btfm_slim_wcn3990.c
+++ b/drivers/bluetooth/btfm_slim_wcn3990.c
@@ -10,8 +10,8 @@
  * GNU General Public License for more details.
  */
 #include <linux/slimbus/slimbus.h>
-#include <btfm_slim.h>
-#include <btfm_slim_wcn3990.h>
+#include "btfm_slim.h"
+#include "btfm_slim_wcn3990.h"
 
 /* WCN3990 Port assignment */
 struct btfmslim_ch wcn3990_rxport[] = {
diff --git a/drivers/bluetooth/btfm_slim_wcn3990.h b/drivers/bluetooth/btfm_slim_wcn3990.h
index b637ac581201..5b75ed6e9cfe 100644
--- a/drivers/bluetooth/btfm_slim_wcn3990.h
+++ b/drivers/bluetooth/btfm_slim_wcn3990.h
@@ -12,7 +12,7 @@
 #ifndef BTFM_SLIM_WCN3990_H
 #define BTFM_SLIM_WCN3990_H
 #ifdef CONFIG_BTFM_SLIM_WCN3990
-#include <btfm_slim.h>
+#include "btfm_slim.h"
 
 /* Registers Address */
 #define CHRK_SB_COMP_TEST			0x00000000
diff --git a/drivers/gpu/msm/kgsl_events.c b/drivers/gpu/msm/kgsl_events.c
index 859511baba12..14353267b608 100644
--- a/drivers/gpu/msm/kgsl_events.c
+++ b/drivers/gpu/msm/kgsl_events.c
@@ -15,7 +15,7 @@
 #include <linux/list.h>
 #include <linux/workqueue.h>
 #include <linux/debugfs.h>
-#include <kgsl_device.h>
+#include "kgsl_device.h"
 
 #include "kgsl_debugfs.h"
 #include "kgsl_trace.h"
diff --git a/drivers/input/misc/vl53L0/inc/vl53l0_platform.h b/drivers/input/misc/vl53L0/inc/vl53l0_platform.h
index f723a552a7f1..c1c9a6be1286 100644
--- a/drivers/input/misc/vl53L0/inc/vl53l0_platform.h
+++ b/drivers/input/misc/vl53L0/inc/vl53l0_platform.h
@@ -34,9 +34,9 @@ SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
 #include "vl53l0_def.h"
 #include "vl53l0_platform_log.h"
 
-#include "stmvl53l0-i2c.h"
-#include "stmvl53l0-cci.h"
-#include "stmvl53l0.h"
+#include "../stmvl53l0-i2c.h"
+#include "../stmvl53l0-cci.h"
+#include "../stmvl53l0.h"
 
 /**
  * @file vl53l0_platform.h
diff --git a/drivers/input/misc/vl53L0/src/vl53l0_i2c_platform.c b/drivers/input/misc/vl53L0/src/vl53l0_i2c_platform.c
index e4097e1ccdd5..052e5f75026f 100644
--- a/drivers/input/misc/vl53L0/src/vl53l0_i2c_platform.c
+++ b/drivers/input/misc/vl53L0/src/vl53l0_i2c_platform.c
@@ -22,8 +22,8 @@
 #include <linux/i2c.h>
 #include <linux/module.h>
 #include <linux/delay.h>
-#include "stmvl53l0-i2c.h"
-#include "stmvl53l0-cci.h"
+#include "../stmvl53l0-i2c.h"
+#include "../stmvl53l0-cci.h"
 
 #include "vl53l0_platform.h"
 #include "vl53l0_i2c_platform.h"
diff --git a/drivers/input/misc/vl53L0/src/vl53l0_port_i2c.c b/drivers/input/misc/vl53L0/src/vl53l0_port_i2c.c
index 3dc085f60326..29f7aae10f11 100644
--- a/drivers/input/misc/vl53L0/src/vl53l0_port_i2c.c
+++ b/drivers/input/misc/vl53L0/src/vl53l0_port_i2c.c
@@ -7,11 +7,11 @@
 
 #include <linux/i2c.h>
 #include <linux/module.h>
-#include "stmvl53l0-i2c.h"
-#include "stmvl53l0-cci.h"
+#include "../stmvl53l0-i2c.h"
+#include "../stmvl53l0-cci.h"
 #include "vl53l0_platform.h"
 #include "vl53l0_i2c_platform.h"
-#include "stmvl53l0.h"
+#include "../stmvl53l0.h"
 
 #define I2C_M_WR			0x00
 #define STATUS_OK			0x00
diff --git a/drivers/media/platform/msm/camera_v2/common/cam_smmu_api.c b/drivers/media/platform/msm/camera_v2/common/cam_smmu_api.c
index 7d9edde62c1b..34df23e71e4a 100644
--- a/drivers/media/platform/msm/camera_v2/common/cam_smmu_api.c
+++ b/drivers/media/platform/msm/camera_v2/common/cam_smmu_api.c
@@ -27,7 +27,7 @@
 #include <linux/sizes.h>
 #include <soc/qcom/scm.h>
 #include <soc/qcom/secure_buffer.h>
-#include <msm_camera_tz_util.h>
+#include "msm_camera_tz_util.h"
 #include "cam_smmu_api.h"
 
 #define SCRATCH_ALLOC_START SZ_128K
diff --git a/drivers/media/platform/msm/camera_v2/sensor/msm_sensor.h b/drivers/media/platform/msm/camera_v2/sensor/msm_sensor.h
index 17b6ed988886..2b23032c0214 100644
--- a/drivers/media/platform/msm/camera_v2/sensor/msm_sensor.h
+++ b/drivers/media/platform/msm/camera_v2/sensor/msm_sensor.h
@@ -32,8 +32,8 @@
 #include <media/msm_cam_sensor.h>
 #include <media/v4l2-subdev.h>
 #include <media/v4l2-ioctl.h>
-#include "msm_camera_i2c.h"
-#include "msm_camera_dt_util.h"
+#include "io/msm_camera_i2c.h"
+#include "io/msm_camera_dt_util.h"
 #include "msm_sd.h"
 
 #define DEFINE_MSM_MUTEX(mutexname) \
diff --git a/sound/soc/msm/msm8996.c b/sound/soc/msm/msm8996.c
index 49a70a7395ac..aaf191ca5308 100644
--- a/sound/soc/msm/msm8996.c
+++ b/sound/soc/msm/msm8996.c
@@ -31,7 +31,7 @@
 #include <sound/q6core.h>
 #include <sound/pcm_params.h>
 #include <sound/info.h>
-#include <device_event.h>
+#include "device_event.h"
 #include "qdsp6v2/msm-pcm-routing-v2.h"
 #include "../codecs/wcd9xxx-common.h"
 #include "../codecs/wcd9330.h"
diff --git a/sound/soc/msm/msm8998.c b/sound/soc/msm/msm8998.c
index 1c1f65fb3f5c..f7e9d51db8c7 100644
--- a/sound/soc/msm/msm8998.c
+++ b/sound/soc/msm/msm8998.c
@@ -33,7 +33,7 @@
 #include <sound/q6core.h>
 #include <sound/pcm_params.h>
 #include <sound/info.h>
-#include <device_event.h>
+#include "device_event.h"
 #include <linux/qdsp6v2/audio_notifier.h>
 #include "qdsp6v2/msm-pcm-routing-v2.h"
 #include "../codecs/wcd9335.h"
-- 
2.24.1

